var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { RED } from '../../global/colors';
import { Calendar } from '../../icons/src';
import ErrorText from '../ErrorText';
import HintText from '../HintText';
import Input from '../Input';
import Label from '../Label';
import LabelText from '../LabelText';
import { StyledDatePickerWrapper } from './styles';
const DatePicker = (_a) => {
    var { meta, children, hint, input, className, style } = _a, props = __rest(_a, ["meta", "children", "hint", "input", "className", "style"]);
    return (React.createElement(StyledDatePickerWrapper, { className: className, error: (meta === null || meta === void 0 ? void 0 : meta.touched) && !!meta.error, inputWidth: input === null || input === void 0 ? void 0 : input.width, inputHeight: input === null || input === void 0 ? void 0 : input.height, style: style },
        React.createElement(Label, Object.assign({}, props, { error: (meta === null || meta === void 0 ? void 0 : meta.touched) && !!meta.error }),
            React.createElement(LabelText, null, children),
            hint && React.createElement(HintText, null, hint),
            (meta === null || meta === void 0 ? void 0 : meta.touched) && meta.error && React.createElement(ErrorText, null, meta.error),
            React.createElement("span", null,
                React.createElement(Input, Object.assign({ type: "date", error: (meta === null || meta === void 0 ? void 0 : meta.touched) && !!meta.error }, input)),
                React.createElement(Calendar, { width: "26px", height: "28px", fill: (meta === null || meta === void 0 ? void 0 : meta.touched) && !!meta.error ? `${RED}` : 'unset' })))));
};
DatePicker.defaultProps = {
    hint: undefined,
    input: {},
    meta: {},
};
export default DatePicker;
