// @ts-nocheck
import styled from 'styled-components';
import { ERROR_COLOR } from '../../global/colors';
import { SPACING_POINTS } from '../../constants';
import { spacing, typography } from '../../global';
export const ErrorText = styled('span')(typography.font({ size: 19, weight: 'bold' }), {
    display: 'block',
    marginBottom: SPACING_POINTS[3],
    clear: 'both',
    color: ERROR_COLOR,
}, spacing.withWhiteSpace());
ErrorText.displayName = 'ErrorText';
export default ErrorText;
