import * as React from 'react';
import styled from 'styled-components';
import { spacing } from '../../global';
import Legend from './Legend';
const StyledFieldset = styled('fieldset')({
    border: 0,
    '&:after': {
        content: '""',
        display: 'block',
        clear: 'both',
    },
}, spacing.withWhiteSpace({ margin: 0, padding: 0 }));
export const Fieldset = (props) => React.createElement(StyledFieldset, Object.assign({}, props));
Fieldset.Legend = Legend;
Fieldset.displayName = 'Fieldset';
export default Fieldset;
