//@ts-nocheck
import styled from 'styled-components';
import { MEDIA_QUERIES } from '../../../../constants';
import { H2 } from '../../../Heading/presets';
import { spacing } from '../../../../global';
import { BORDER_COLOR } from '../../../../global/colors';
const SectionHeading = styled(H2)({
    borderBottom: `1px solid ${BORDER_COLOR}`,
    paddingBottom: spacing.simple(2),
    marginTop: 0,
    [MEDIA_QUERIES.DESKTOP]: {
        paddingBottom: spacing.simple(4),
    },
}, spacing.withWhiteSpace({ marginBottom: 7 }));
export default SectionHeading;
