import * as React from 'react';
declare const MetaContainer: React.FC<MetaContainerProps>;
interface MetaContainerProps {
    /**
     * Meta content
     * Usually <Footer.MetaLinks /> and/or <Footer.MetaCustom />
     */
    children?: React.ReactNode;
    /**
     * Footer copyright
     */
    copyright?: {
        text?: string;
        image?: {
            src: string;
            width: number;
            height: number;
        };
        link?: string;
    };
}
export default MetaContainer;
//# sourceMappingURL=index.d.ts.map