//@ts-nocheck
import * as React from 'react';
import Meta from '../../atoms/meta';
import MetaItem from '../../atoms/meta-item';
import Licence from '../../atoms/licence';
import Copyright from '../../atoms/copyright';
const MetaContainer = ({ children, copyright }) => {
    return (React.createElement(Meta, null,
        React.createElement(MetaItem, { grow: true },
            children,
            React.createElement(Licence, null)),
        copyright && (React.createElement(MetaItem, null,
            React.createElement(Copyright, Object.assign({}, copyright))))));
};
MetaContainer.defaultProps = {
    children: undefined,
    copyright: undefined,
};
export default MetaContainer;
