import { createGlobalStyle } from 'styled-components';
/**
 * A Styled Component to apply global style for use with govuk-react.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/global-style
 */
export const GlobalStyle = createGlobalStyle `
@import '~leaflet/dist/leaflet.css';  
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;700&display=swap');
* {
  font-family: 'Source Sans Pro', Arial, sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
 body {
   padding: 0;
   margin: 0;
   font-family: 'Inter UI', Arial, sans-serif;
   -webkit-font-smoothing: antialiased;
   -moz-osx-font-smoothing: grayscale;
 }
`;
GlobalStyle.displayName = 'GlobalStyle';
export default GlobalStyle;
