import styled from "styled-components";
const yellow = '#ffdf0f';
const gray = '#dee0e2';
const violet = "#4C2C95";
const linkBlue = '#0065b3';
export const StyledInfoLedge = styled.div `
max-width: 900px;
padding: 10px 30px 10px 30px;
font-weight: ${props => props.theme.isBold ? 'bold' : 'normal'};
font-size: 0.875rem;
line-height: 1.25;
background-color: ${props => props.theme.isWarning ? yellow : gray};

a{
    color: ${props => props.theme.isWarning ? violet : linkBlue};
    text-decoration: underline;
    :hover{
        color: black;
        text-decoration-thickness: ${props => props.theme.isSecondary || props.theme.isSimple
    ? '2px' : '3px'};
    }
    :focus{
        background-color: ${yellow};
        text-decoration-thickness: 4px;
        color: black;
    }
}
`;
