import type { LabelProps } from '../Label/Label';
import type { InputProps } from '../Input/Input';
import * as React from 'react';
export declare const InputField: React.FC<InputFieldProps>;
export interface InputFieldProps extends LabelProps {
    hint?: React.ReactNode;
    input?: InputProps;
    meta?: {
        error?: string | string[];
        touched?: boolean;
    };
    children: React.ReactNode;
}
/** Component is not exported withWhitespace because Label
 *  is also exported withWhitespace and therefore takes precedence.
 */
export default InputField;
//# sourceMappingURL=InputField.d.ts.map