import React from 'react';
import { ComponentWrapper, ContentContainer, StyledSeparator } from './styles';
import { H4 } from '../Heading/presets';
import { StyledUnorderedList } from './styles';
const RelatedContent = ({ variant, children, title, }) => (React.createElement(ComponentWrapper, { variant: variant },
    React.createElement(ContentContainer, null,
        React.createElement(StyledSeparator, null),
        React.createElement(H4, { size: 19 }, title),
        React.createElement(StyledUnorderedList, null, children))));
export default RelatedContent;
