import React, { ReactNode } from 'react';
import { InputProps } from '../Input/Input';
import { LabelProps } from '../Label/Label';
interface IOwnProps extends LabelProps {
    fetcherSuggestion?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    children: React.ReactNode;
    label?: string;
    hint?: string;
    className?: string;
    loading?: boolean;
    loadingText?: ReactNode;
    style?: React.CSSProperties;
    input?: InputProps;
    meta?: {
        error?: string | Array<string>;
        touched?: boolean;
    };
}
declare const SuggestionInput: {
    ({ fetcherSuggestion, children, label, className, loadingText, style, meta, loading, input, ...props }: IOwnProps): JSX.Element;
    LI: import("styled-components").StyledComponent<"li", any, import("../../global").WithWhiteSpaceProps, never>;
    displayName: string;
};
export default SuggestionInput;
//# sourceMappingURL=SuggestionInput.d.ts.map