import React from 'react';
import LabelText from '../LabelText';
import { StyledTableCell } from './styles';
const TableCell = ({ disableCopy = false, children, icon, className, style, title, }) => {
    return (React.createElement(StyledTableCell, { title: title, className: className, style: style, disableCopy: disableCopy }, children && icon ? (React.createElement("div", null,
        icon,
        React.createElement(LabelText, null, children))) : (React.createElement(LabelText, null, children))));
};
export default TableCell;
