import React from 'react';
import { StyledTableHeadCell } from './styles';
import TableArrow from '../../icons/src/TableArrow/TableArrow';
import LabelText from '../LabelText';
const TableHeadCell = ({ showArrows = true, sortDirection, children, onClick, className, style, }) => {
    return (React.createElement(StyledTableHeadCell, { sortDirection: sortDirection, onClick: onClick, className: className, style: style },
        React.createElement("div", null,
            React.createElement(LabelText, null, children),
            showArrows && (React.createElement("div", null,
                React.createElement(TableArrow, { width: "10px", height: "10px" }),
                React.createElement(TableArrow, { width: "10px", height: "10px" }))))));
};
export default TableHeadCell;
