export * from './focus';
export * from './spacing';
export * from './typography';
export declare const BORDER_WIDTH = "5px";
export declare const BORDER_WIDTH_WIDE = "10px";
export declare const BORDER_WIDTH_MOBILE = "4px";
export declare const BORDER_WIDTH_FORM_ELEMENT = "2px";
export declare const BORDER_WIDTH_FORM_ELEMENT_ERROR = "4px";
export declare const BORDER_WIDTH_FORM_GROUP_ERROR = "5px";
export declare const SITE_WIDTH_PX = 960;
export declare const SITE_WIDTH: string;
export declare const FULL_WIDTH = "100%";
export declare const BREAKPOINTS: {
    SMALLSCREEN: string;
    LARGESCREEN: string;
    MOBILE: string;
    TABLET: string;
    DESKTOP: string;
};
export declare const GUTTER_PX = 30;
export declare const GUTTER: string;
export declare const GUTTER_HALF: string;
export declare const GUTTER_ONE_THIRD: string;
export declare const SPACING: {
    SCALE_1: string;
    SCALE_2: string;
    SCALE_3: string;
    SCALE_4: string;
    SCALE_5: string;
    SCALE_6: string;
};
export declare const SITE_WIDTH_PLUS_GUTTERS: string;
export declare const MEDIA_QUERY_PRINT = "@media print";
export declare const MEDIA_QUERIES: {
    LARGESCREEN: string;
    MAX: string;
    PRINT: string;
    TABLET: string;
    DESKTOP: string;
};
export declare const NTA_LIGHT = "\"nta\", Arial, sans-serif";
export declare const NTA_LIGHT_TABULAR: string;
export declare const FONT_STACK: string;
export declare const FONT_STACK_TABULAR: string;
export declare const FONT_STACK_PRINT = "sans-serif";
export declare const FONT_SIZE: {
    SIZE_14: string;
    SIZE_16: string;
    SIZE_18: string;
    SIZE_19: string;
    SIZE_20: string;
    SIZE_24: string;
    SIZE_27: string;
};
export declare const LINE_HEIGHT: {
    SIZE_14: string;
    SIZE_16: string;
    SIZE_18: string;
    SIZE_19: string;
    SIZE_24: string;
};
//# sourceMappingURL=index.d.ts.map