// @ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import SVG from '../SVGBase/SVGBase';
const ArrowLeft = (_a) => {
    var { fill, title } = _a, rest = __rest(_a, ["fill", "title"]);
    return (React.createElement(SVG, Object.assign({ viewBox: "-0.2 0 17 14", title: title, fill: fill }, rest),
        React.createElement("path", { d: "m6.5938-0.0078125-6.7266 6.7266 6.7441 6.4062 1.377-1.449-4.1856-3.9768h12.896v-2h-12.984l4.2931-4.293-1.414-1.414z" })));
};
ArrowLeft.defaultProps = {
    title: 'arrow left',
    fill: 'currentColor',
};
export default ArrowLeft;
