import type { LabelProps } from '../Label/Label';
import * as React from 'react';
export declare const FileUpload: React.ForwardRefExoticComponent<FileUploadProps & React.RefAttributes<HTMLInputElement>>;
export interface FileUploadProps extends LabelProps {
    hint?: string;
    meta?: {
        error?: string | string[];
        touched?: boolean;
    };
    children: React.ReactNode;
    acceptedFormats?: string;
    onChange?: React.ChangeEventHandler<HTMLInputElement>;
    name?: string;
}
export default FileUpload;
//# sourceMappingURL=FileUpload.d.ts.map