import styled from 'styled-components';
import { spacing } from '../../../../global';
export const ListItem = styled('li')(({ inline }) => inline
    ? {
        display: 'inline-block',
        marginRight: spacing.simple(3),
        marginBottom: spacing.simple(1),
    }
    : spacing.withWhiteSpace({ marginBottom: 4 }), {
    '&:last-child': {
        marginBottom: 0,
    },
});
ListItem.defaultProps = {
    inline: false,
};
export default ListItem;
