//@ts-nocheck
import styled from 'styled-components';
import { GUTTER_HALF, MEDIA_QUERIES } from '../../../../constants';
import { spacing } from '../../../../global';
const MetaItem = styled('div')({
    marginRight: GUTTER_HALF,
    marginBottom: spacing.simple(5),
    marginLeft: GUTTER_HALF,
}, ({ grow }) => grow && {
    flex: 1,
    flexBasis: '320px',
    [MEDIA_QUERIES.DESKTOP]: {
        flexBasis: 0,
    },
});
MetaItem.defaultProps = {
    grow: false,
};
export default MetaItem;
