//@ts-nocheck
import * as React from 'react';
import { H2 } from '../../../Heading/presets';
import VisuallyHidden from '../../../VisuallyHidden';
import UnorderedList from '../../atoms/unordered-list';
import { ListItem } from '../../atoms/list-item';
const MetaLinks = ({ children, heading }) => {
    return (React.createElement(React.Fragment, null,
        React.createElement(VisuallyHidden, null,
            React.createElement(H2, null, heading)),
        children && (React.createElement(UnorderedList, { inline: true }, Array.isArray(children) ? (React.Children.map(children, (child, i) => (child ? React.createElement(ListItem, { inline: true }, child) : null))) : (React.createElement(ListItem, { inline: true }, children))))));
};
export default MetaLinks;
