// @ts-nocheck
import styled from 'styled-components';
import { SECONDARY_TEXT_COLOR } from '../../global/colors';
import { SPACING_POINTS } from '../../constants';
import { spacing, typography } from '../../global';
export const HintText = styled('span')(typography.font({ size: 19 }), {
    display: 'block',
    // NB non-responsive marginBottom here
    marginBottom: SPACING_POINTS[3],
    color: `${SECONDARY_TEXT_COLOR}`,
}, spacing.withWhiteSpace());
HintText.displayName = 'HintText';
export default HintText;
