import { spacing } from '../../global';
/**
 * A lead paragraph is an introductory paragraph that you can use at the top of a page to summarise the content.
 *
 * - https://govuk-react.github.io/govuk-react/?path=/docs/lead-paragraph
 * - https://design-system.service.gov.uk/styles/typography/#lead-paragraph
 */
export declare const LeadParagraph: import("styled-components").StyledComponent<"p", any, spacing.WithWhiteSpaceProps, never>;
export default LeadParagraph;
//# sourceMappingURL=LeadParagraph.d.ts.map