import React from 'react';
import { ModalProps, ModalHeaderProps, ModalBodyProps } from './interfaces';
declare const Modal: {
    ({ height, width, showModal, children, }: ModalProps): JSX.Element;
    defaultProps: {
        height: number;
        width: number;
    };
    Header: ({ setShowModal, children, image, }: ModalHeaderProps) => JSX.Element;
    Body: ({ children }: ModalBodyProps) => JSX.Element;
    Footer: React.FC<{}>;
};
export default Modal;
//# sourceMappingURL=Modal.d.ts.map