import type { WithWhiteSpaceProps } from '../../global';
import * as React from 'react';
export declare const Paragraph: React.FC<ParagraphProps>;
export interface ParagraphProps extends WithWhiteSpaceProps, React.HTMLAttributes<HTMLDivElement> {
    /**
     * Text content supporting markdown
     */
    children?: string;
    /**
     * Is this paragraph supporting text for another element?
     */
    supportingText?: boolean;
    linkRenderer?: React.ElementType;
}
export default Paragraph;
//# sourceMappingURL=Paragraph.d.ts.map