import type { WithWhiteSpaceProps } from '../../global';
import * as React from 'react';
export declare const SearchBox: SearchBoxType;
interface SearchBoxProps extends React.HTMLAttributes<HTMLDivElement>, WithWhiteSpaceProps {
}
export interface SearchBoxType<T = HTMLDivElement> extends React.ForwardRefExoticComponent<SearchBoxProps & React.RefAttributes<T>> {
    Input?: React.ElementType;
    Button?: React.ElementType;
}
export default SearchBox;
//# sourceMappingURL=SearchBox.d.ts.map