import type { LabelProps } from '../Label/Label';
import * as React from 'react';
declare const StyledSelect: import("styled-components").StyledComponent<"select", any, {
    error?: boolean | undefined;
}, never>;
export declare const Select: React.FC<SelectProps>;
export interface SelectProps extends LabelProps {
    hint?: React.ReactNode;
    input?: React.SelectHTMLAttributes<HTMLSelectElement>;
    meta?: {
        error?: string | string[];
        touched?: boolean;
    };
    children: React.ReactNode;
    label: string | React.ReactNode;
    errorText?: string;
}
export default Select;
export { StyledSelect as SelectInput };
//# sourceMappingURL=Select.d.ts.map