/// <reference types="react" />
import { TableFilterProps, FilteredItemProps, FilterCategoryProps } from './interface';
export declare const FilteredItem: ({ itemName, onItemCancel }: FilteredItemProps) => JSX.Element;
export declare const FilterCategory: ({ children, categoryName, initialOpened, }: FilterCategoryProps) => JSX.Element;
declare const TableFilter: {
    ({ filteredCount, acttiveFilteredCount, filterTitle, children, filteredItems, initialOpened, onFilterConfirm, onFilterCancel }: TableFilterProps): JSX.Element;
    FilteredItem: ({ itemName, onItemCancel }: FilteredItemProps) => JSX.Element;
    Category: ({ children, categoryName, initialOpened, }: FilterCategoryProps) => JSX.Element;
};
export default TableFilter;
//# sourceMappingURL=TableFilter.d.ts.map