import type { LabelProps } from '../Label/Label';
import * as React from 'react';
declare const TextAreaField: import("styled-components").StyledComponent<"textarea", any, {
    error?: boolean | undefined;
}, never>;
export declare const TextArea: React.FC<TextAreaProps>;
export interface TextAreaProps extends LabelProps {
    hint?: React.ReactNode;
    input?: React.TextareaHTMLAttributes<HTMLTextAreaElement>;
    meta?: {
        error?: string | string[];
        touched?: boolean;
    };
    children: React.ReactNode;
}
/** Component is not exported withWhitespace because Label
 *  is also exported withWhitespace and therefore takes precedence.
 */
export default TextArea;
export { TextAreaField };
//# sourceMappingURL=TextArea.d.ts.map