import * as React from 'react';
import styled from 'styled-components';
const Container = styled('div')({
    verticalAlign: 'baseline',
});
const IconContainer = styled('span')({
    width: '36px',
    maxHeight: '27px',
    display: 'inline-block',
    marginRight: '7px',
});
const TitleContainer = styled('span')({
    display: 'inline-block',
});
const IconTitle = ({ icon, children }) => (React.createElement(Container, null,
    React.createElement(IconContainer, null, icon),
    React.createElement(TitleContainer, null, children)));
IconTitle.defaultProps = {
    icon: undefined,
    children: undefined,
};
IconTitle.displayName = 'TopNav.IconTitle';
export default IconTitle;
