import styled from 'styled-components';
import { MEDIA_QUERIES, SPACING } from '../../../../constants';
const RightHandSide = styled('div')({
    display: 'flex',
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'space-between',
    marginTop: SPACING.SCALE_2,
    [MEDIA_QUERIES.LARGESCREEN]: {
        flexDirection: 'column',
        alignItems: 'flex-start',
        justifyContent: 'flex-start',
        width: '66.66%',
        paddingLeft: SPACING.SCALE_3,
        marginTop: 0,
    },
});
export default RightHandSide;
