var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled from 'styled-components';
import { IconImportant } from '../../icons/src';
import { spacing, typography } from '../../global';
import { SPACING_POINTS } from '../../constants';
const StyledWarningText = styled('div')({
    alignItems: 'center',
    boxSizing: 'border-box',
    display: 'flex',
    width: '100%',
}, spacing.withWhiteSpace({ marginBottom: 0 }));
const IconImportantWrapper = styled('div')({
    flex: 'none',
    height: 35,
    marginRight: SPACING_POINTS[3],
    width: 35,
});
const WarningTextWrapper = styled('strong')(typography.font({ size: 19, weight: 'bold' }));
export const WarningText = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    return (React.createElement(StyledWarningText, Object.assign({}, props),
        React.createElement(IconImportantWrapper, null,
            React.createElement(IconImportant, null)),
        React.createElement(WarningTextWrapper, null, children)));
};
WarningText.displayName = 'WarningText';
export default WarningText;
