// Grey Pallette
export const BLACK = '#0B0C0C';
export const GREY_1 = '#626A6E';
export const GREY_2 = '#BFC1C3';
export const GREY_3 = '#DEE0E2';
export const GREY_4 = '#F3F2F1';
export const GREY_5 = '#949494';
export const WHITE = '#FFFFFF';
// Collor Pallete
export const PURPLE = '#4C2C92';
export const PINK = '#D53880';
export const ORANGE = '#F47738';
export const GREEN = '#00703C';
export const BLUE = '#0065B3';
export const LIGHT_PURPLE = '#6F72AF';
export const LIGHT_PINK = '#F499BE';
export const YELLOW = '#FFDF0F';
export const LIGHT_GREEN = '#85994B';
export const LIGHT_BLUE = '#2B8CC4';
export const BRIGHT_PURPLE = '#912B88';
export const RED = '#D0190F';
export const BROWN = '#B58840';
export const TURQUOISE = '#28A197';
export const DARK_BLUE = '#003078';
// STATE COLORS
export const ERROR_COLOR = RED;
export const DISABLED = GREY_3;
// TRANSPARENCY COLORS
export const TRANSPARENCY_100 = PURPLE;
export const TRANSPARENCY_50 = 'rgba(76, 44, 146, 0.5)';
export const TRANSPARENCY_25 = 'rgba(76, 44, 146, 0.25)';
// OTHER COLORS
export const BUTTON_COLOR = GREEN;
export const BUTTON_COLOR_DARKEN_15 = '#204E2E';
export const TEXT_COLOR = BLACK;
export const SECONDARY_TEXT_COLOR = GREY_1;
export const TEXT_COLOR_FOCUS = BLACK;
export const BORDER_COLOR = GREY_2;
export const FOCUS_COLOR = YELLOW;
export const LINK_COLOR = BLUE;
export const LINK_VISITED_COLOR = PURPLE;
export const LINK_HOVER_COLOR = DARK_BLUE;
export const PROPOSITION_BORDER = BLACK;
// Footer
export const FOOTER_BACKGROUND = GREY_3;
export const FOOTER_BORDER_TOP = '#A1ACB2';
export const FOOTER_LINK = '#454A4C';
export const FOOTER_LINK_HOVER = '#171819';
export const FOOTER_TEXT = FOOTER_LINK;
export const LINK_ACTIVE_COLOR = LIGHT_BLUE;
