import type { CSSObject } from 'styled-components';
export declare function common(fontFamily?: string): [CSSObject, CSSObject];
export declare const styleDefault: {
    ':link': {
        color: string;
    };
    ':visited': {
        color: string;
    };
    ':hover': {
        color: string;
    };
    ':active': {
        color: string;
    };
    ':focus': {
        color: string;
    };
};
export declare const styleMuted: {
    '&:link, &:visited, &:hover, &:active': {
        color: string;
    };
    '&:focus': {
        color: string;
    };
};
export declare const styleText: {
    '&:link, &:visited, &:hover, &:active, &:focus': {
        [x: string]: string | {
            color: string;
        };
        color: string;
    };
};
export declare const styleNoVisitedState: {
    ':link': {
        color: string;
    };
    ':visited': {
        color: string;
    };
    ':hover': {
        color: string;
    };
    ':active': {
        color: string;
    };
    ':focus': {
        color: string;
    };
};
export declare const printFriendly: CSSObject;
//# sourceMappingURL=link.d.ts.map