// @ts-nocheck 
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import SVG from '../SVGBase/SVGBase';
const ArrowRight = (_a) => {
    var { fill, title } = _a, rest = __rest(_a, ["fill", "title"]);
    return (React.createElement(SVG, Object.assign({ viewBox: "0 0 17 14", title: title, fill: fill }, rest),
        React.createElement("path", { d: "m10.107-0.0078125-1.4136 1.414 4.2926 4.293h-12.986v2h12.896l-4.1855 3.9766 1.377 1.4492 6.7441-6.4062-6.7246-6.7266z" })));
};
ArrowRight.defaultProps = {
    title: 'arrow right',
    fill: 'currentColor',
};
export default ArrowRight;
