// @ts-nocheck
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import styled, { keyframes } from 'styled-components';
import SVG from '../SVGBase/SVGBase';
const fadeInOut = keyframes `
  0% { opacity: 0.250075; }
  0.01% { opacity: 0.25; }
  0.03% { opacity: 1; }
  100% { opacity: 0.250075; }
`;
const Rect = styled.rect `
  animation: ${fadeInOut} 1s infinite linear;
`;
const Spinner = (_a) => {
    var { className, fill, title } = _a, rest = __rest(_a, ["className", "fill", "title"]);
    return (React.createElement(SVG, Object.assign({ className: className, viewBox: "-25 -25 50 50", preserveAspectRatio: "xMidYMid meet", title: title, fill: fill }, rest), Array(12)
        .fill(1)
        .map((el, i) => (React.createElement(Rect, { fill: fill, width: "12", height: "5", rx: "2.5", ry: "2.5", style: { animationDelay: `${i * 83}ms` }, transform: `rotate(${i * 30}, 0, 2) translate(10 0)`, opacity: "0", 
        /* eslint-disable-next-line react/no-array-index-key */
        key: i })))));
};
Spinner.defaultProps = {
    className: 'icon-spinner',
    title: 'Loading',
    fill: 'currentColor',
};
export default Spinner;
