var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import SVG from '../SVGBase/SVGBase';
const TableArrow = (_a) => {
    var { fill, title } = _a, rest = __rest(_a, ["fill", "title"]);
    return (React.createElement(SVG, Object.assign({ viewBox: "0 0 512 512", title: title, fill: fill }, rest),
        React.createElement("path", { d: "M3,111.67,247.67,418.4c4,5.06,12.6,5.06,16.65,0L509,111.64a15.21,15.21,0,0,0,2.2-13.9,14.2,14.2,0,0,0-1-2.32,10.66,10.66,0,0,0-9.39-5.62H11.14a10.64,10.64,0,0,0-9.38,5.62,13.93,13.93,0,0,0-1,2.27A15.26,15.26,0,0,0,3,111.67Z" })));
};
TableArrow.defaultProps = {
    title: 'TableArrow',
    fill: 'currentColor',
};
export default TableArrow;
